<?php
function fb_comments_template( $file = '/comments.php' ) {
	global $wp_query, $withcomments, $post, $wpdb, $id, $comment, $user_login, $user_ID, $user_identity;

	if ( ! (is_home() || is_single() || is_page() || $withcomments) )
		return;

	$req = get_option('require_name_email');
	$commenter = wp_get_current_commenter();
	extract($commenter, EXTR_SKIP);

	// TODO: Use API instead of SELECTs.
	if ( $user_ID) {
		$comments = $wpdb->get_results("SELECT * FROM $wpdb->comments WHERE comment_post_ID = '$post->ID' AND (comment_approved = '1' OR ( user_id = '$user_ID' AND comment_approved = '0' ) )  ORDER BY comment_date");
	} else if ( empty($comment_author) ) { 
		$comments = $wpdb->get_results("SELECT * FROM $wpdb->comments WHERE comment_post_ID = '$post->ID' AND comment_approved = '1' ORDER BY comment_date");
	} else {
		$author_db = $wpdb->escape($comment_author);
		$email_db  = $wpdb->escape($comment_author_email);
		$comments = $wpdb->get_results("SELECT * FROM $wpdb->comments WHERE comment_post_ID = '$post->ID' AND ( comment_approved = '1' OR ( comment_author = '$author_db' AND comment_author_email = '$email_db' AND comment_approved = '0' ) ) ORDER BY comment_date");
	}

	// keep $comments for legacy's sake (remember $table*? ;) )
	$comments = $wp_query->comments = apply_filters( 'comments_array', $comments, $post->ID );
	$wp_query->comment_count = count($wp_query->comments);

	define('COMMENTS_TEMPLATE', true);
	$include = apply_filters('comments_template', TEMPLATEPATH . $file );
	if ( file_exists( $include ) )
		require( $include );
	else
		require( ABSPATH . 'wp-content/themes/default/comments.php');
}

function fb_read_write_exif_data() {
 
			$image = fb_meta_image();
			if ($image != '') {
				error_reporting(0);
				$image = get_settings('home') . "/wp-content/uploads/" . $image;
				$exif = exif_read_data($image, 0 , true);
				
				if(isset($exif["EXIF"]["DateTimeOriginal"])) {
					$fbdateoriginal = str_replace(":","-",substr($exif["EXIF"]["DateTimeOriginal"], 0, 10));
					$fbtimeoriginal = substr($exif["EXIF"]["DateTimeOriginal"], 10);
					print __('Datum:') . " {$fbdateoriginal}";
					print __(' &middot; Uhrzeit:') . " {$fbtimeoriginal}";
					print "<br />\n";
				}

				if(isset($exif["EXIF"]["FNumber"])) {
					list($num,$den) = explode("/",$exif["EXIF"]["FNumber"]);
					$fbaperture  = "F/" . ($num/$den);
					print __('Blende:') . " {$fbaperture}";;
				}
				
				if(isset($exif["EXIF"]["ExposureTime"])) {
					list($num, $den) = explode("/", $exif["EXIF"]["ExposureTime"]);
					if ($num!=1) {
						$fbexposure = "{$num}s";
						print __(' &middot; Belichtungsdauer:') . " {$fbexposure}";
					} else {
						$den = $den/$num;
						$fbexposure = "1/{$den}s";
						print __(' &middot; Belichtungsdauer:') . " {$fbexposure}";
					}
				}
				
				if(isset($exif["EXIF"]["FocalLength"])) {
					list($num, $den) = explode("/", $exif["EXIF"]["FocalLength"]);
					$fbfocallength  = ($num/$den) . "mm";
					print __(' &middot; Brennweite:') . " {$fbfocallength}";
				}
				
				if(isset($exif["EXIF"]["FocalLengthIn35mmFilm"])) {
					$fbfbfocallength35 = $exif["EXIF"]["FocalLengthIn35mmFilm"];
					print __(' &middot; (Brennweite 35mm:') . " {$fbfbfocallength35}" . __('mm)');
				}
				
				if (isset($exif["EXIF"]["ISOSpeedRatings"])) {
					print __(' &middot; ISO:') . " {$exif["EXIF"]["ISOSpeedRatings"]}";
				}					

				if(isset($exif["EXIF"]["WhiteBalance"])) {
					switch($exif["EXIF"]["WhiteBalance"]) {
						case 0:
							$fbwhitebalance = "Auto";
							break;
						case 1:
							$fbwhitebalance = "Daylight";
							break;
						case 2:
							$fbwhitebalance = "Fluorescent";
							break;
						case 3:
							$fbwhitebalance = "Incandescent";
							break;
						case 4:
							$fbwhitebalance = "Flash";
							break;
						case 9:
							$fbwhitebalance = "Fine Weather";
							break;
						case 10:
							$fbwhitebalance = "Cloudy";
							break;
						case 11:
							$fbwhitebalance = "Shade";
							break;
						default:
							$fbwhitebalance = "";
							break;
					}
					print __(' &middot; Wei&szlig;abgleich:') . " {$fbwhitebalance}";
				}

				if(isset($exif["EXIF"]["Flash"])) {
					$fbflash = (bindec($exif["EXIF"]["Flash"]) ? "On" : "Off");
					print __(' &middot; Blitz:') . " {$fbflash}";
				}
				
				if(isset($exif["IFD0"]["Make"]) && isset($exif["IFD0"]["Model"])) {
					$fbmake = ucwords(strtolower($exif["IFD0"]["Make"]));
					$fbmodel = ucwords($exif["IFD0"]["Model"]);
					print "<br />\n";
					print __('Kamera/ DIA-Scanner:') . " {$fbmake}";
					print __(',') . " {$fbmodel}";
				}
				
				/* Alle EXIF-Daten untereinander ausgeben */
//				foreach ($exif as $key => $section) {
//					foreach ($section as $name => $val) {
//						echo "$key.$name: $val<br />\n";
//					}
//				}
			}
}
?>